<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <?php wp_head(); ?>
</head>

<!-- Body -->
<body <?php body_class(); ?>>

    <div class="error-404-container">

        <?php
            if ( cosmecos_get_theme_mod('error_additional_text_customize') == 'on' ) {
                if ( !empty(cosmecos_get_theme_mod('error_additional_text_top_left')) ) {
                    echo '<div class="error-404-bg-text position-top-left">';
                        echo esc_html(cosmecos_get_theme_mod('error_additional_text_top_left'));
                    echo '</div>';
                }
                if ( cosmecos_get_theme_mod('error_additional_text_bottom_right') ) {
                    echo '<div class="error-404-bg-text position-bottom-right">';
                        echo esc_html(cosmecos_get_theme_mod('error_additional_text_bottom_right'));
                    echo '</div>';
                }
            } else {
                echo '<div class="error-404-bg-text position-top-left">' . esc_html__('404', 'cosmecos') . '</div>';
                echo '<div class="error-404-bg-text position-bottom-right">' . esc_html__('page', 'cosmecos') . '</div>';
            }
        ?>
        <div class="error-404-header">
            <!-- Logo Block -->
            <?php
                if ( cosmecos_get_prefered_option('error_logo_status') == 'on' ) {
                    echo '<div class="logo-container">' . cosmecos_get_logo_output() . '</div>';
                }
            ?>
        </div>
        <div class="error-404-inner">
            <div class="error-404-content">
                <?php
                    if ( !empty(cosmecos_get_theme_mod('error_title')) ) {
                        echo '<h1 class="error-404-title">' . wp_kses(cosmecos_get_theme_mod('error_title'), array('br' => array())) . '</h1>';
                    }
                    if ( !empty(cosmecos_get_theme_mod('error_text')) ) {
                        echo '<p class="error-404-info-text">' . esc_html(cosmecos_get_theme_mod('error_text')) . '</p>';
                    }
                    if ( !empty(cosmecos_get_theme_mod('error_button_text')) ) {
                        echo '<div class="error-404-button">';
                            echo '<a class="error-404-home-button cosmecos-button" href="' . esc_url(home_url('/')) . '">' . esc_html(cosmecos_get_theme_mod('error_button_text')) . '</a>';
                        echo '</div>';
                    }
                ?>
            </div>
        </div>
        <div class="error-404-footer">
            <?php
                // Social Buttons
                if ( cosmecos_get_prefered_option('error_socials_status') == 'on' ) {
                    echo '<div class="footer-socials-container">';
                        echo cosmecos_socials_output('footer-socials wrapper-socials');
                    echo '</div>';
                }
            ?>
        </div>
    </div>

<?php
    wp_footer();
?>

</body>
</html>