<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme and one
 * of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query,
 * e.g., it puts together the home page when no home.php file exists.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Cosmecos
 * @since Cosmecos 1.0
 */

get_header();

$sidebar_args = cosmecos_get_sidebar_args();
$sidebar_position = $sidebar_args['sidebar_position'];

$content_classes = 'content-wrapper';
$content_classes .= ( cosmecos_get_post_option('content_top_margin') == 'on' ? ' content-wrapper-remove-top-margin' : '' );
$content_classes .= ( cosmecos_get_post_option('content_bottom_margin') == 'on' ? ' content-wrapper-remove-bottom-margin' : '' );
$content_classes .= ' content-wrapper-sidebar-position-' . esc_attr($sidebar_position);


?>

    <div class="<?php echo esc_attr($content_classes); ?>">
        <div class="content">
            <!-- Content Container -->
            <div class="content-inner">

                <div class="archive-listing">
                    <div class="archive-listing-wrapper<?php echo ( !empty(get_queried_object() ) && get_queried_object()->name == 'cosmecos-portfolio' ? ' portfolio-listing-wrapper portfolio-grid-listing columns-3' : '' ); ?>">
                        <?php
                            while ( have_posts() ) {
                                the_post();
                                if (!empty(get_queried_object()) && get_queried_object()->name == 'cosmecos-portfolio') {
                                    get_template_part('content', 'portfolio');
                                } else {
                                    get_template_part('content');
                                }
                            };
                        ?>
                    </div>

                    <div class="content-pagination">
                    <?php
                        echo get_the_posts_pagination(array(
                            'prev_text' => '<div class="button-icon"></div><div class="button-text">' . esc_html__('Prev', 'cosmecos') . '</div>',
                            'next_text' => '<div class="button-icon"></div><div class="button-text">' . esc_html__('Next', 'cosmecos') . '</div>'
                        ));
                    ?>
                    </div>
                </div>

            </div>
        </div>

        <!-- Sidebar Container -->
        <?php get_sidebar(); ?>

    </div>

<?php
get_footer();