<?php
/**
 * The template for displaying single gallery post
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package WordPress
 * @subpackage Cosmecos
 * @since Cosmecos 1.0
 */

the_post();
get_header();

$sidebar_args = cosmecos_get_sidebar_args();
$sidebar_position = $sidebar_args['sidebar_position'];

$content_classes = 'content-wrapper';
$content_classes .= ' content-wrapper-sidebar-position-' . esc_attr($sidebar_position);

$post_format = get_post_format();
?>

    <div class="<?php echo esc_attr($content_classes); ?>">

        <!-- Content Container -->
        <div class="content">

            <div id="post-<?php the_ID(); ?>" class="single-post">

                <?php
                    if (
                        ( cosmecos_get_prefered_option('post_media_image_status') == 'on' && !empty(cosmecos_post_media_output()) ) ||
                        ( cosmecos_get_prefered_option('post_category_status') == 'on' && !empty(cosmecos_post_categories_output()) )
                    ) {
                        echo '<div class="post-media-wrapper">';
                            if ( cosmecos_get_prefered_option('post_media_image_status') == 'on' ) {
                                echo cosmecos_post_media_output();
                            }
                            echo '<div class="post-labels">';
                            if ( cosmecos_get_prefered_option('post_category_status') == 'on' ) {
                                echo cosmecos_post_categories_output(true);
                            }
                            echo '</div>';
                        echo '</div>';
                    }

                    if (
                        ( cosmecos_get_prefered_option('post_date_status') == 'on' && !empty(cosmecos_post_date_output()) ) ||
                        ( cosmecos_get_prefered_option('post_author_status') == 'on' && !empty(cosmecos_post_author_output()) )
                    ) {
                        echo '<div class="post-meta-header">';
                            if ( cosmecos_get_prefered_option('post_date_status') == 'on' && !empty(cosmecos_post_date_output()) ) {
                                echo cosmecos_post_date_output(true);
                            }
                            if ( cosmecos_get_prefered_option('post_author_status') == 'on' && !empty(cosmecos_post_author_output()) ) {
                                echo cosmecos_post_author_output(true);
                            }
                        echo '</div>';
                    }
                ?>

                <?php
                    if ( cosmecos_get_prefered_option('post_title_status') == 'on' && !empty(get_the_title()) ) {
                        echo '<h3 class="post-title">' . get_the_title() . '</h3>';
                    }
                ?>

                <div class="post-content">
                    <?php the_content(); ?>
                </div>

                <?php
                    wp_link_pages(
                        array(
                            'before' => '<div class="content-pagination"><nav class="pagination"><div class="nav-links">',
                            'after' => '</div></nav></div>'
                        )
                    );
                ?>

                <?php
                    if (
                        ( cosmecos_get_prefered_option('post_tags_status') == 'on' && !empty(cosmecos_post_tags_output()) ) ||
                        ( cosmecos_get_prefered_option('post_socials_status') == 'on' && !empty(cosmecos_socials_output()) )
                    ) {
                        echo '<div class="post-meta-footer">';
                        if ( cosmecos_get_prefered_option('post_tags_status') == 'on' && !empty(cosmecos_post_tags_output()) ) {
                            echo cosmecos_post_tags_output();
                        }
                        if ( cosmecos_get_prefered_option('post_socials_status') == 'on' && !empty(cosmecos_socials_output()) ) {
                            echo cosmecos_socials_output('post-meta-item post-meta-item-socials wrapper-socials');
                        }
                        echo '</div>';
                    }
                ?>

                <?php
                    comments_template();
                ?>

                <?php
                    if (cosmecos_get_prefered_option('recent_posts_status') == 'on') {
                        cosmecos_recent_posts_output(
                            array(
                                'orderby'               => cosmecos_get_prefered_option('recent_posts_order_by'),
                                'numberposts'           => cosmecos_get_prefered_option('recent_posts_number'),
                                'post_type'             => get_post_type(),
                                'order'                 => cosmecos_get_prefered_option('recent_posts_order'),
                                'show_media'            => cosmecos_get_prefered_option('recent_posts_image'),
                                'show_category'         => cosmecos_get_prefered_option('recent_posts_category'),
                                'show_title'            => cosmecos_get_prefered_option('recent_posts_title'),
                                'show_date'             => cosmecos_get_prefered_option('recent_posts_date'),
                                'show_author'           => cosmecos_get_prefered_option('recent_posts_author'),
                                'show_excerpt'          => cosmecos_get_prefered_option('recent_posts_excerpt'),
                                'excerpt_length'        => cosmecos_get_prefered_option('recent_posts_excerpt_length'),
                                'show_tags'             => cosmecos_get_prefered_option('recent_posts_tags'),
                                'show_more'             => cosmecos_get_prefered_option('recent_posts_more')
                            )
                        );
                    }
                ?>

            </div>

        </div>

        <!-- Sidebar Container -->
        <?php get_sidebar(); ?>

    </div>

<?php
get_footer();