<?php
    defined( 'ABSPATH' ) or die();
?>

<?php if (
    cosmecos_get_prefered_option('header_status') == 'on' &&
    cosmecos_get_prefered_option('header_style') == 'type-3' &&
    (
        cosmecos_get_prefered_option('header_menu_status') == 'on' ||
        cosmecos_get_prefered_option('header_search_status') == 'on' ||
        (
            cosmecos_get_prefered_option('header_button_status') == 'on' &&
            !empty(cosmecos_get_prefered_option('header_button_text'))
        ) ||
        (
            class_exists('WooCommerce') && cosmecos_get_prefered_option('header_minicart_status') == 'on'
        ) ||
        (
            class_exists('WooCommerce') && function_exists('yith_plugin_registration_hook') && cosmecos_get_prefered_option('header_wishlist_status') == 'on'
        ) ||
        (
            cosmecos_get_prefered_option('footer_copyright_status') == 'on' &&
            !empty(cosmecos_get_prefered_option('footer_copyright_text'))
        )
    )
) { ?>
    <div class="slide-extra-wrapper">
        <div class="slide-extra">
            <div class="slide-extra-close"></div>
            <div class="slide-extra-content">
                <?php
                    // Header Logo
                    if ( cosmecos_get_prefered_option('header_logo_status') == 'on' ) {
                        echo '<div class="extra-logo-container">' . cosmecos_get_logo_output() . '</div>';
                    }

                    // Header Menu
                    if ( cosmecos_get_prefered_option('header_menu_status') == 'on' ) {
                        echo '<div class="extra-menu-container">';
                            echo '<nav>';
                                if ( !empty(cosmecos_get_prefered_option('header_menu_select')) && cosmecos_get_prefered_option('header_menu_select') != 'default' ) {
                                    wp_nav_menu(
                                        array(
                                            'menu'          => cosmecos_get_prefered_option('header_menu_select'),
                                            'menu_class'    => 'extra-menu',
                                            'depth'         => '0',
                                            'container'     => ''
                                        )
                                    );
                                } else {
                                    $menu_locations = get_nav_menu_locations();
                                    if ( isset($menu_locations['main']) && $menu_locations['main'] !== 0 ) {
                                        wp_nav_menu(
                                            array(
                                                'theme_location'    => 'main',
                                                'menu_class'        => 'extra-menu',
                                                'depth'             => '0',
                                                'container'         => ''
                                            )
                                        );
                                    }
                                }
                            echo '</nav>';
                        echo '</div>';
                    }

                    // Header Icons
                    if (
                        cosmecos_get_prefered_option('header_search_status') == 'on' ||
                        (
                            class_exists('WooCommerce') && cosmecos_get_prefered_option('header_minicart_status') == 'on'
                        ) ||
                        (
                            class_exists('WooCommerce') && function_exists('yith_plugin_registration_hook') && cosmecos_get_prefered_option('header_wishlist_status') == 'on'
                        )
                    ) {
                        echo '<div class="extra-icons-container">';

                            // Header Wishlist
                            if ( class_exists('WooCommerce') && function_exists('yith_plugin_registration_hook') && cosmecos_get_prefered_option('header_wishlist_status') == 'on' ) {
                                echo '<div class="extra-icon wishlist-link">';
                                    echo '<a href="' . esc_url(YITH_WCWL()->get_wishlist_url()) . '" class="wishlist-link-icon"></a>';
                                echo '</div>';
                            }

                            // Header Product Cart
                            if ( class_exists('WooCommerce') && cosmecos_get_prefered_option('header_minicart_status') == 'on' ) {
                                echo '<div class="extra-icon mini-cart">';
                                    echo '<a href="' . esc_url(wc_get_cart_url()) . '" class="mini-cart-trigger">';
                                        echo '<i class="mini-cart-count">';
                                            echo '<span>' . WC()->cart->cart_contents_count . '</span>';
                                        echo '</i>';
                                    echo '</a>';
                                echo '</div>';
                            }

                            // Header Search
                            if ( cosmecos_get_prefered_option('header_search_status') == 'on' ) {
                                echo '<div class="extra-icon search-trigger">';
                                    echo '<span class="search-trigger-icon"></span>';
                                echo '</div>';
                            }

                        echo '</div>';
                    }
                    if (
                        cosmecos_get_prefered_option('header_button_status') == 'on' &&
                        !empty(cosmecos_get_prefered_option('header_button_text'))
                    ) {
                        echo '<div class="extra-button-container">';
                            echo '<a class="cosmecos-button" href="' . ( !empty(cosmecos_get_prefered_option('header_button_url')) ? esc_url(cosmecos_get_prefered_option('header_button_url')) : esc_js('javascript:void(0);')) . '">';
                                echo esc_html(cosmecos_get_prefered_option('header_button_text'));
                            echo '</a>';
                        echo '</div>';
                    }
                ?>
            </div>

            <?php
                if (
                    cosmecos_get_prefered_option('footer_copyright_status') == 'on' &&
                    !empty(cosmecos_get_prefered_option('footer_copyright_text'))
                ) {
                    echo '<div class="slide-extra-footer">';

                        // Footer Social Buttons
                        echo cosmecos_socials_output('header-extra-socials wrapper-socials');

                        // Footer opyrights
                        if (
                            cosmecos_get_prefered_option('footer_copyright_status') == 'on' &&
                            !empty(cosmecos_get_prefered_option('footer_copyright_text'))
                        ) {
                            echo '<div class="slide-extra-copyright">';
                                echo esc_html(cosmecos_get_prefered_option('footer_copyright_text'));
                            echo '</div>';
                        }

                    echo '</div>';
                }
            ?>

        </div>
    </div>
<?php } ?>