<?php
    defined( 'ABSPATH' ) or die();
?>
    <div class="mobile-header-menu-container">
        <div class="mobile-header-row">

            <!-- Logo Block -->
            <?php
                if ( cosmecos_get_prefered_option('header_logo_status') == 'on' ) {
                    echo '<div class="logo-container">' . cosmecos_get_logo_output(true) . '</div>';
                }
            ?>

            <!-- Icons Block -->
            <div class="header-icons-container">
                <div class="header-icon menu-close">
                    <span class="menu-close-icon"></span>
                </div>
            </div>

        </div>
        <nav>
            <!-- Menu Block -->
            <?php
            if ( cosmecos_get_prefered_option('header_menu_status') == 'on' ) {
                if ( !empty(cosmecos_get_prefered_option('header_menu_select')) && cosmecos_get_prefered_option('header_menu_select') != 'default' ) {
                    wp_nav_menu(
                        array(
                            'menu'          => cosmecos_get_prefered_option('header_menu_select'),
                            'menu_class'    => 'main-menu',
                            'depth'         => '0',
                            'container'     => ''
                        )
                    );
                } else {
                    $menu_locations = get_nav_menu_locations();
                    if ( isset($menu_locations['main']) && $menu_locations['main'] !== 0 ) {
                        wp_nav_menu(
                            array(
                                'theme_location'    => 'main',
                                'menu_class'        => 'main-menu',
                                'depth'             => '0',
                                'container'         => ''
                            )
                        );
                    }
                }
            }
            ?>
        </nav>


        <?php
        if (
            cosmecos_get_prefered_option('header_search_status') == 'on' ||
            (
                cosmecos_get_prefered_option('header_button_status') == 'on' &&
                !empty(cosmecos_get_prefered_option('header_button_text'))
            ) ||
            (
                class_exists('WooCommerce') && cosmecos_get_prefered_option('header_minicart_status') == 'on'
            ) ||
            (
                class_exists('WooCommerce') && function_exists('yith_plugin_registration_hook') && cosmecos_get_prefered_option('header_wishlist_status') == 'on'
            )
        ) {
            echo '<div class="header-mobile-footer">';

                // Mini Cart Link
                if ( class_exists('WooCommerce') && cosmecos_get_prefered_option('header_minicart_status') == 'on' ) {
                    echo '<div class="header-icon mini-cart">';
                        echo '<a href="' . esc_url(wc_get_cart_url()) . '" class="mini-cart-trigger">';
                            echo '<i class="mini-cart-count">';
                                echo '<span>' . WC()->cart->cart_contents_count . '</span>';
                            echo '</i>';
                        echo '</a>';
                    echo '</div>';
                }

                // Search Icon
                if ( cosmecos_get_prefered_option('header_search_status') == 'on' ) {
                    echo '<div class="header-icon search-trigger">';
                        echo '<span class="search-trigger-icon"></span>';
                    echo '</div>';
                }

                // Wishlist Link
                if (
                    class_exists('WooCommerce') &&
                    function_exists('yith_plugin_registration_hook') &&
                    cosmecos_get_prefered_option('header_wishlist_status') == 'on'
                ) {
                    echo '<div class="header-icon wishlist-link">';
                        echo '<a href="' . esc_url(YITH_WCWL()->get_wishlist_url()) . '" class="wishlist-link-icon"></a>';
                    echo '</div>';
                }

                // Button
                if (
                    cosmecos_get_prefered_option('header_button_status') == 'on' &&
                    !empty(cosmecos_get_prefered_option('header_button_text'))
                ) {
                    echo '<div class="header-icon header-button-container">';
                        echo '<a class="cosmecos-button" href="' . ( !empty(cosmecos_get_prefered_option('header_button_url')) ? esc_url(cosmecos_get_prefered_option('header_button_url')) : esc_js('javascript:void(0);')) . '">';
                            echo esc_html(cosmecos_get_prefered_option('header_button_text'));
                        echo '</a>';
                    echo '</div>';
                }

            echo '</div>';
        }
        ?>

    </div>