<?php
    defined( 'ABSPATH' ) or die();

    if ( is_home() ) {
        $page_title = esc_html__('Home', 'cosmecos');
    } elseif ( class_exists('WooCommerce') && is_product() ) {
        $page_title = sprintf(stripslashes(cosmecos_get_theme_mod('woo_single_product_title')), get_the_title());
    } elseif ( class_exists('WooCommerce') && is_product_category()  ) {
        $page_title = sprintf(stripslashes(cosmecos_get_theme_mod('woo_product_categories_title')), single_term_title('', false));
    } elseif ( class_exists('WooCommerce') && is_product_tag() ) {
        $page_title = sprintf(stripslashes(cosmecos_get_theme_mod('woo_product_tags_title')), single_term_title('', false));
    } elseif ( class_exists('WooCommerce') && is_search() ) {
        $page_title = sprintf(esc_html__('Search Results By "%s"', 'cosmecos'), get_search_query());
    } elseif (is_archive()) {
        if (is_woocommerce()) {
            $page_title = get_the_title();
        } elseif ( !empty(get_queried_object()) && get_queried_object()->name == 'cosmecos-portfolio') {
            $page_title = sprintf(esc_html(cosmecos_get_theme_mod('portfolio_archive_page_title')), post_type_archive_title('', false));
        } else {
            $page_title = get_the_archive_title();
        }
    } elseif (is_search()) {
        $page_title = sprintf(esc_html__('Search Results By "%s"', 'cosmecos'), get_search_query());
    } elseif (is_singular('cosmecos-portfolio')) {
        $page_title = sprintf(stripslashes(cosmecos_get_theme_mod('portfolio_single_page_title')), get_the_title());
    } elseif (is_single()) {
        $page_title = sprintf(stripslashes(cosmecos_get_theme_mod('post_page_title')), get_the_title());
    } else {
        $page_title = get_the_title();
    }
    $page_subtitle_status = esc_html(cosmecos_get_prefered_option('page_title_subheading_status'));
    $page_subtitle = esc_html(cosmecos_get_prepared_option('page_title_subheading_text', '', 'page_title_subheading_status' ));
?>

<!-- Page Title -->
<div class="page-title-container">
    <div class="page-title-bg"></div>
    <div class="page-title-row">
        <div class="page-title-wrapper<?php echo ( (!empty($page_subtitle) && $page_subtitle_status == 'on') ? ' page-title-wrapper-with-subtitle' : ' page-title-wrapper-with-decoration' ); ?>">
            <?php
                if ( !empty($page_subtitle) && $page_subtitle_status == 'on' ) {
                    echo '<div class="page-subtitle">' . esc_html($page_subtitle) . '</div>';
                }
            ?>
            <h1 class="page-title"><?php echo sprintf('%s', $page_title); ?></h1>
        </div>
    </div>
    <?php

    if ( !empty(cosmecos_get_prefered_option('page_title_additional_text')) ) {
        echo '<div class="page-title-additional">' . esc_html(cosmecos_get_prefered_option('page_title_additional_text')) . '</div>';
    }

    ?>
</div>